<?php
error_reporting(0);
function kk_fputcsv ($array, $deliminator=";") { 

	$line = ""; 
	foreach($array as $val) { 
		$val = str_replace("\r\n", "\n", $val); 
		if(ereg("[$deliminator\"\n\r]", $val)) { 
			$val = '"'.str_replace('"', '""', $val).'"'; 
		}
		$line .= $val.$deliminator; 
	}
	$line = substr($line, 0, (strlen($deliminator) * -1)); 
	$line .= "\n"; 
	echo $line;
}


function csere($str){
$str=str_replace("&#150;", "", $str);
$str=str_replace("&middot; ", "", $str);
//$str=nl2br($str);
return $str;
}


if($round==1){


	require("db.inc.php");
	$mydb = new db();

	if($opt=="boritek") {
		$filename="boritek.csv";
		$stmt="SELECT kk_tag.nev, kk_megye.nev AS megye, kk_tag.irsz, kk_tag.telepules, kk_tag.utca FROM kk_tag LEFT JOIN kk_megye ON kk_megye.id=kk_tag.megye";
		$fields=array("nev", "megye", "irsz", "telepules", "utca");
	} elseif($opt=="osszes"){
		$filename="osszes.csv";

		$stmt="SELECT kk_tag.*, kk_megye.nev AS megye, (@price:=0) AS price, IF(ext=2,@price:=@price+4400,0) AS p1, IF(ext=2,IF(kategoria_2,@price:=@price+800,0),0) AS k2, IF(ext=2,IF(kategoria_3,@price:=@price+800,0),0) AS k3, IF(ext=2,IF(kategoria_4,@price:=@price+800,0),0) AS k4, IF(ext=2,IF(kategoria_5,@price:=@price+800,0),0) AS k5, IF(ext=2,IF(kategoria_6,@price:=@price+800,0),0) AS k6, IF(ext=2,IF(kategoria_7,@price:=@price+800,0),0) AS k7, IF(ext=2,IF(kategoria_8,@price:=@price+800,0),0) AS k8, @price AS price_all,m2.nev AS megye2,m3.nev AS megye3 FROM kk_tag LEFT JOIN kk_megye ON kk_megye.id=kk_tag.megye LEFT JOIN kk_megye AS m2 ON m2.id=kk_tag.megye2 LEFT JOIN kk_megye AS m3 ON m3.id=kk_tag.megye3";
		
		$fields=array("id", "nev", "jelszo" , "url", "tipus", "irsz", "megye", "telepules", "utca", "telefon", "fax", "email", "web", "nyelvek", "szolgaltatas", "fenykep", "datum_1", "datum_2", "datum_3", "utolso_befizetes", "szla_tip", "szla_nev", "szla_irsz", "szla_telepules", "szla_cim", "szla_kon", "post_nev", "post_irsz", "post_telepules", "post_cim", "jovahagyva", "hirlevel", "megjegyzes", "price_all","megye2","megye3");
	}


	$result=$mydb->query($stmt);

	header("Content-Type: text/html");
	header("Content-Disposition: attachment; filename=" . $filename); 

	while ($row = mysql_fetch_object($result)) {
			
		//printf("%s\t%s\t%s\t%s\t%s\n", $row->nev, $row->irsz, $row->helyseg, $row->utca, $row->email);
		$data="";
		foreach ($fields as $id => $field) {
			
			$data[]=csere($row->$field);
			/*if($id==sizeof($fields)-1){
				printf("%s\n", csere($row->$field));
			} else {
				printf("%s;", csere($row->$field));
			}*/
		}

		$ret=kk_fputcsv($data);
	}

} else { // form


	$title="export";

	include('header.inc.php');

	printf("<B>Export</B><P><FORM METHOD=POST ACTION=\"%s\">
	<INPUT TYPE=\"radio\" NAME=\"opt\" VALUE=\"boritek\" CHECKED>Borítékhoz<BR>
	<INPUT TYPE=\"radio\" NAME=\"opt\" VALUE=\"osszes\">Összes mező<BR>
	<INPUT TYPE=\"submit\" VALUE=\"Jöhet\">
	<INPUT TYPE=\"hidden\" NAME=\"round\" VALUE=\"1\">
	</FORM>", $PHP_SELF
	);

	include('footer.inc.php');

}

?>
